# ZpCron - Cron-like scheduler for Zope
# Copyright (C) 2008  Jan Janech <janech@kios.sk>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from traceback import print_exc
from Acquisition import aq_base
from Globals import ImageFile
import atexit
import zLOG

try:
    import Product
except Exception, e:
    print_exc()

def initialize(context):
    try:
        cp = context._ProductContext__app.Control_Panel
        
        if not getattr(aq_base(cp), 'ZpCron', None):
            zLOG.LOG('ZpCron', zLOG.INFO, 'Adding ZpCron to Control Panel')
            cron = Product.ZpCron()
            cp._setObject('ZpCron', cron)
        else:
            cron = cp.ZpCron
            cron.update()
        cron.start()
        atexit.register(cron.stop)
    except Exception, e:
        print_exc()

misc_ = dict(clock = ImageFile('www/clock.gif', globals()))
